{
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"callback_url": "<string>",
"seconds": 123,
"output_videos": [
{
"url": "<string>",
"width": 123,
"height": 123
}
],
"credits": 123,
"inputs": {},
"created_at": "<string>"
}Callback
Callback Protocol
When you configure a
callback_url in the following video generation APIs, the server will automatically send notifications when the task status changes:
- Image to Video -
POST /v1/video/image2video - Template to Video -
POST /v1/video/template2video - Text to Video -
POST /v1/video/text2video - Talking Avatar -
POST /v1/video/talking-avatar - Video to Video -
POST /v1/video/video2video
Content-Type: application/json.
Callback Request Details
The callback body follows the schema defined below:Available options:
PENDING, QUEUING, PROCESSING, SUCCESS, FAILED, CANCELED Available options:
TEXT_TO_VIDEO, IMAGE_TO_VIDEO, VIDEO_TO_VIDEO, TEMPLATE_TO_VIDEO, TALKING_AVATAR Show child attributes
Show child attributes
Was this page helpful?